Index: main/waeup.uniben/trunk/src/waeup/uniben/students/deplinks.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/deplinks.csv	(revision 18123)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/deplinks.csv	(revision 18124)
@@ -130,2 +130,10 @@
 DEN-RES,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiJiOGY2YzBjMC01ZjUxLTRiMjEtODQxZC0yNGNlMGJiYTNlNjAiLCJleHAiOjE5MjQ5NDczMDAsImlhdCI6MTcwOTI5NjM3OSwianRpIjoiZjQ2MWNlY2MtMWM1OC00YWQyLWJmMTgtYTExODFlNzgzNmRmIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjNlNjI1MDhjLTc3YTItNDhmMC05YTJhLTUxYjFhNDcxNmU3NiJ9.BMtg_wjgKQByPlWUTOQqrResNPKLB-olVv23xixi2kk 
 
+AGR-ANS,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiI4YjRhZmYxZi1iYmFmLTQ0NDEtODVlMi05YWIwOTFhNDgxM2UiLCJleHAiOjE5MjQ5MTM0MDAsImlhdCI6MTY5MDI5NDIzOCwianRpIjoiOTZjNzJiNTEtY2U3NC00YThlLWI5N2UtNzQ4MzNjNDQ0YzdlIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjE0MmU0YTMwLWIwYTMtNDBhMy1hMWYzLWE0YjEyN2ZmZTgyZSJ9.6slRiI5n5frq8lmATc954dRW3kWODzwJQPh6bkenCKY
+AGR-FOW,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiI4YjRhZmYxZi1iYmFmLTQ0NDEtODVlMi05YWIwOTFhNDgxM2UiLCJleHAiOjE5MjQ5MTM0MDAsImlhdCI6MTY5MDI5NDE1NywianRpIjoiZjE1YWVlZTctMzI4Ny00MzgyLWI1MzItMjU4ODg1Y2YxYzM3IiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6ImY5NDVhNzllLWIzOGYtNGE3YS1hNjg1LTUxMmM4Y2ZjYWNhMyJ9.JA5WIzJOh7bEb8xDjPxKhHeBHeAMj3610zH_F9L6J3I
+ENG-AGR,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIxNmU0NDgwNS1kYWY1LTRmNWQtOWFhNi0zMWMzZGY2MTcwNmQiLCJleHAiOjE5MjQ5MDY4MDAsImlhdCI6MTY5MDM3Mzk0NiwianRpIjoiOWE5MDgyZTUtYzlmMC00Y2YyLTg3ZmEtNDcyMDg4NTUzYmIwIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjQyYjJkMmMxLTQzYTYtNGI5MC04YWMyLWJiMTFmZWY3ZDcyNiJ9.rYDczzWS6AxLPxuRwM3JcExrLLwSGsSPSvSwVEX_goo
+ENG-MAR,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIxNmU0NDgwNS1kYWY1LTRmNWQtOWFhNi0zMWMzZGY2MTcwNmQiLCJleHAiOjE5MjQ5MDcxMDAsImlhdCI6MTY5MDM3NDI2NiwianRpIjoiMDFiZjY5YjEtZjRhMS00ZWE5LWFiNzYtN2ZhOWU2NDA3NTI2IiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjhiNmQ1MGM5LTEzOTgtNDkzNS04NjRiLTgxNzgyYjFmZmVhMCJ9.HSZ3rJCECeymWuHdGPFJtbOrzxpw_KHWh3g0PnGrFAI
+ENG-STR,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ0ZW5hbnRJZCI6IjMyZjA4N2EzLWY5MmUtNDk4MS1hZGUxLWU1ZDEzYzI4YjQxNyIsInJlZHdvb2RJZCI6IjE2ZTQ0ODA1LWRhZjUtNGY1ZC05YWE2LTMxYzNkZjYxNzA2ZCIsImV4cCI6MTkyNDk1NzgwMCwiaWF0IjoxNzM5OTc1NDYzLCJqdGkiOiJjYTZlNjY4Zi0xMTQ1LTRmYjMtYjQ4My03OWUyZmUyYTE2YzIiLCJ0ZW5hbnQiOiJiZW5pbiIsImZvbGRlcklkIjoiOGZhM2NlNDMtNmEyNS00OWQxLTk2MzUtYjZlY2RkYWQ0OGM5In0.hcZbB_trZYR_Dl8n0TG6kEiktkK5RJaPX4bgt2qqEtI
+ENG-IND,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiIxNmU0NDgwNS1kYWY1LTRmNWQtOWFhNi0zMWMzZGY2MTcwNmQiLCJleHAiOjE5MjQ5MDcxMDAsImlhdCI6MTY5MDM3NDIyNSwianRpIjoiMDI4MzAwODMtYWYxZi00MzkwLTkyNDQtOWIxODExMWZhOGQxIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjUyNTI2ZDE3LTU2NDYtNDNmMC1hNDM2LTY0ZThjNDA2MjRmOCJ9.ELQl--1Clc70GB_3qM7FZYvhxxqpsjVBL4dgOtpEd3U
+ENV-FAA,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiI1OWNmMTk2My1kYmFlLTQ5MmQtYmEzNy1iZThlMmRlOTAwMGMiLCJleHAiOjE5MjQ5NDc2MDAsImlhdCI6MTY5MDQ1ODAxOCwianRpIjoiMGQyZjA3MzEtM2U2Ni00ZTY5LWFjMGEtZjdmYWM5NjljMzNhIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjJhMzJiZjE4LTQxZTQtNDdjMS04ODE0LWZhZmFlZTJmZGJiNyJ9.Ihqglgf4KfGec3cxtNH4ZW0BfSSelLoWOXuAI4n1uXE
+DEN-DPV,https://benin.turnitin.com/originality/hand-in-link?jwt=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyZWR3b29kSWQiOiJiOGY2YzBjMC01ZjUxLTRiMjEtODQxZC0yNGNlMGJiYTNlNjAiLCJleHAiOjE5MjQ5NDczMDAsImlhdCI6MTcwOTI5NjM3OSwianRpIjoiZjQ2MWNlY2MtMWM1OC00YWQyLWJmMTgtYTExODFlNzgzNmRmIiwidGVuYW50IjoiYmVuaW4iLCJmb2xkZXJJZCI6IjNlNjI1MDhjLTc3YTItNDhmMC05YTJhLTUxYjFhNDcxNmU3NiJ9.BMtg_wjgKQByPlWUTOQqrResNPKLB-olVv23xixi2kk