Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv	(revision 18126)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv	(revision 18127)
@@ -1749,2 +1749,14 @@
 BWTEDU,VTE,ITE,74600,60750,97000,73650
 BWTESW,VTE,ITE,71100,50750,97000,73650
+MPHDNRH,CERHI,NUR,251200,250250,301200,112650
+MPHDADT,EDU,ADT,151200,56450,301200,112650
+MPHDRCD,EDU,ADT,151200,56450,301200,112650
+MPHDWED,EDU,ADT,151200,56450,301200,112650
+MPHDBE,EDU,CIT,151200,56450,301200,112650
+MPHMEDU,EDU,CIT,151200,56450,301200,112650
+MPHEP,EDU,HKS,151200,56450,301200,112650
+MPHDAEBP,LSC,AEB,151200,56450,301200,112650
+MPHDGEG,PSC,PHY,151200,56450,301200,112650
+MSCCCD,SSC,GEO,101200,42950,301200,112650
+MEDBED,VTE,BED,151200,56450,301200,112650
+MPPHDBE,VTE,BED,151200,56450,301200,112650
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv	(revision 18126)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv	(revision 18127)
@@ -1839,2 +1839,14 @@
 BWTEDU,VTE,ITE,73400,60500,73400,60500
 BWTESW,VTE,ITE,98500,47700,98500,47700
+MPHDNRH,CERHI,NUR,250000,250000,300000,112400
+MPHDADT,EDU,ADT,189500,122000,300000,112400
+MPHDRCD,EDU,ADT,189500,122000,300000,112400
+MPHDWED,EDU,ADT,189500,122000,300000,112400
+MPHDBE,EDU,CIT,189500,122000,300000,112400
+MPHMEDU,EDU,CIT,189500,122000,300000,112400
+MPHEP,EDU,HKS,189500,122000,300000,112400
+MPHDAEBP,LSC,AEB,189500,122000,300000,112400
+MPHDGEG,PSC,PHY,189500,122000,300000,112400
+MSCCCD,SSC,GEO,189500,122000,300000,112400
+MEDBED,VTE,BED,189500,122000,300000,112400
+MPPHDBE,VTE,BED,189500,122000,300000,112400
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 18126)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 18127)
@@ -936,10 +936,10 @@
 PHDTCH,PSC,CHM,189500,122000,300000,112400
 PHDTMP,PSC,PHY,189500,122000,300000,112400
-MSCES,SPESSE,SPESSE,56300,8950,300000,300000
-MSCPM,SPESSE,SPESSE,69500,8950,300000,300000
-MSCSS,SPESSE,SPESSE,69500,8950,300000,300000
-PGDES,SPESSE,SPESSE,56300,8950,300000,300000
-PGDPM,SPESSE,SPESSE,69500,8950,300000,300000
-PGDSS,SPESSE,SPESSE,69500,8950,300000,300000
+MSCES,SPESSE,SPESSE,57500,8950,300000,300000
+MSCPM,SPESSE,SPESSE,70500,8950,300000,300000
+MSCSS,SPESSE,SPESSE,70500,8950,300000,300000
+PGDES,SPESSE,SPESSE,57500,8950,300000,300000
+PGDPM,SPESSE,SPESSE,70500,8950,300000,300000
+PGDSS,SPESSE,SPESSE,70500,8950,300000,300000
 MBFE,SSC,ECO,189500,122000,300000,112400
 MPAFT,SSC,PUB,228500,187700,300000,112400
@@ -1182,6 +1182,6 @@
 MSCHECOP,CERHI,ECN,250000,250000,3000000,3000000
 MSCHERCHP,CERHI,ECN,250000,250000,3000000,3000000
-MSCNRHP,CERHI,NUR,250000,250000,3000000,3000000
-MSCRHP,CERHI,OAG,250000,250000,3000000,3000000
+MSCNRHP,CERHI,NUR,189500,122000,300000,112400
+MSCRHP,CERHI,OAG,189500,122000,300000,112400
 PGDHERCHP,CERHI,ECN,250000,250000,3000000,3000000
 PHDHERCHP,CERHI,ECN,250000,250000,3000000,3000000
@@ -1843,2 +1843,14 @@
 BWTEDU,VTE,ITE,115500,95500,115500,95500
 BWTESW,VTE,ITE,98500,47700,98500,47700
+MPHDNRH,CERHI,NUR,189500,122000,300000,112400
+MPHDADT,EDU,ADT,189500,122000,300000,112400
+MPHDRCD,EDU,ADT,189500,122000,300000,112400
+MPHDWED,EDU,ADT,189500,122000,300000,112400
+MPHDBE,EDU,CIT,189500,122000,300000,112400
+MPHMEDU,EDU,CIT,189500,122000,300000,112400
+MPHEP,EDU,HKS,189500,122000,300000,112400
+MPHDAEBP,LSC,AEB,189500,122000,300000,112400
+MPHDGEG,PSC,PHY,189500,122000,300000,112400
+MSCCCD,SSC,GEO,189500,122000,300000,112400
+MEDBED,VTE,BED,189500,122000,300000,112400
+MPPHDBE,VTE,BED,189500,122000,300000,112400
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv	(revision 18126)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_23.csv	(revision 18127)
@@ -997,10 +997,10 @@
 PHDTCH,PSC,CHM,189500,122000,300000,112400
 PHDTMP,PSC,PHY,189500,122000,300000,112400
-MSCES,SPESSE,SPESSE,56300,8950,300000,300000
-MSCPM,SPESSE,SPESSE,69500,8950,300000,300000
-MSCSS,SPESSE,SPESSE,69500,8950,300000,300000
-PGDES,SPESSE,SPESSE,56300,8950,300000,300000
-PGDPM,SPESSE,SPESSE,69500,8950,300000,300000
-PGDSS,SPESSE,SPESSE,69500,8950,300000,300000
+MSCES,SPESSE,SPESSE,57500,8950,300000,300000
+MSCPM,SPESSE,SPESSE,70500,8950,300000,300000
+MSCSS,SPESSE,SPESSE,70500,8950,300000,300000
+PGDES,SPESSE,SPESSE,57500,8950,300000,300000
+PGDPM,SPESSE,SPESSE,70500,8950,300000,300000
+PGDSS,SPESSE,SPESSE,70500,8950,300000,300000
 MBFE,SSC,ECO,189500,122000,300000,112400
 MPAFT,SSC,PUB,228500,187700,300000,112400
@@ -1843,2 +1843,14 @@
 BWTEDU,VTE,ITE,115500,95500,115500,112400
 BWTESW,VTE,ITE,98500,47700,98500,112400
+MPHDNRH,CERHI,NUR,250000,250000,300000,300000
+MPHDADT,EDU,ADT,189500,122000,300000,112400
+MPHDRCD,EDU,ADT,189500,122000,300000,112400
+MPHDWED,EDU,ADT,189500,122000,300000,112400
+MPHDBE,EDU,CIT,189500,122000,300000,112400
+MPHMEDU,EDU,CIT,189500,122000,300000,112400
+MPHEP,EDU,HKS,189500,122000,300000,112400
+MPHDAEBP,LSC,AEB,189500,122000,300000,112400
+MPHDGEG,PSC,PHY,189500,122000,300000,112400
+MSCCCD,SSC,GEO,189500,122000,300000,112400
+MEDBED,VTE,BED,189500,122000,300000,112400
+MPPHDBE,VTE,BED,189500,122000,300000,112400
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_24.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_24.csv	(revision 18126)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_24.csv	(revision 18127)
@@ -1843,2 +1843,14 @@
 BWTEDU,VTE,ITE,120500,100500,120500,120500
 BWTESW,VTE,ITE,103500,52700,103500,103500
+MPHDNRH,CERHI,NUR,255000,255000,3005000,3005000
+MPHDADT,EDU,ADT,241875,194500,305000,305000
+MPHDRCD,EDU,ADT,241875,194500,305000,305000
+MPHDWED,EDU,ADT,241875,194500,305000,305000
+MPHDBE,EDU,CIT,241875,194500,305000,305000
+MPHMEDU,EDU,CIT,241875,194500,305000,305000
+MPHEP,EDU,HKS,241875,194500,305000,305000
+MPHDAEBP,LSC,AEB,241875,194500,305000,305000
+MPHDGEG,PSC,PHY,241875,194500,305000,305000
+MSCCCD,SSC,GEO,241875,194500,305000,305000
+MEDBED,VTE,BED,241875,194500,305000,305000
+MPPHDBE,VTE,BED,241875,194500,305000,305000
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 18126)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 18127)
@@ -1096,4 +1096,5 @@
         # Students and officers can open the pdf transcript ...
         self.student['studycourse'].current_level = 500
+        self.student['studycourse'].current_session = 2023
         transcript_path = self.student_path + '/studycourse/transcript'
         self.browser.open(transcript_path)