Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 18130)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 18131)
@@ -76,8 +76,8 @@
         # 250 gateway charge have been added
         payment = self.student['payments'][self.value]
-        self.assertEqual(payment.amount_auth, 7250)
+        self.assertEqual(payment.amount_auth, 7800)
         self.assertEqual(payment.net_amt, 7000)
         self.assertTrue(
-            '<input type="hidden" name="amount" value="725000" />' in
+            '<input type="hidden" name="amount" value="780000" />' in
             self.browser.contents)
         # WAeAC charge have been substracted
@@ -90,6 +90,11 @@
 
     def test_interswitch_required_combi(self):
+        configuration = createObject('waeup.SessionConfiguration')
+        configuration.academic_session = 2025
+        self.app['configuration'].addSessionConfiguration(configuration)
         # Student is a fresh non-science student
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
+        self.student['studycourse'].current_session = 2025
+        self.student['studycourse'].entry_session = 2025
         self.browser.open(self.payments_path)
         IWorkflowState(self.student).setState('cleared')
@@ -102,16 +107,16 @@
         self.browser.getControl(name="form.p_category").value = ['required_combi']
         self.browser.getControl("Create payment").click()
-        self.assertTrue('Student Health Insurance undefined.' in self.browser.contents)
-        self.app['configuration']['2004'].registration_fresh_fee = 10000.0
-        self.app['configuration']['2004'].book_fee = 10000.0
-        self.app['configuration']['2004'].develop_fee = 10000.0
-        self.app['configuration']['2004'].parentsconsult_fee = 10000.0
-        self.app['configuration']['2004'].municipal_fresh_fee = 10000.0
-        self.app['configuration']['2004'].matric_fee = 10000.0
-        self.app['configuration']['2004'].waecneco_fee = 10000.0
-        self.app['configuration']['2004'].jambver_fee = 10000.0
-        self.app['configuration']['2004'].health_insurance_fee = 10000.0
-        self.app['configuration']['2004'].id_card_fee = 10000.0
-        self.app['configuration']['2004'].medical_screening_fee = 10000.0
+        self.assertTrue('undefined.' in self.browser.contents)
+        self.app['configuration']['2025'].registration_fresh_fee = 10000.0
+        self.app['configuration']['2025'].book_fee = 10000.0
+        self.app['configuration']['2025'].develop_fee = 10000.0
+        self.app['configuration']['2025'].parentsconsult_fee = 10000.0
+        self.app['configuration']['2025'].municipal_fresh_fee = 10000.0
+        self.app['configuration']['2025'].matric_fee = 10000.0
+        self.app['configuration']['2025'].waecneco_fee = 10000.0
+        self.app['configuration']['2025'].jambver_fee = 10000.0
+        self.app['configuration']['2025'].health_insurance_fee = 10000.0
+        self.app['configuration']['2025'].id_card_fee = 10000.0
+        self.app['configuration']['2025'].medical_screening_fee = 10000.0
         self.browser.getControl(name="form.p_category").value = ['required_combi']
         self.browser.getControl("Create payment").click()
@@ -130,8 +135,8 @@
         # 250 gateway charge have been added
         payment = self.student['payments'][self.value]
-        self.assertEqual(payment.amount_auth, 110250)
+        self.assertEqual(payment.amount_auth, 110800)
         self.assertEqual(payment.net_amt, 110000)
         self.assertTrue(
-            '<input type="hidden" name="amount" value="11025000" />' in
+            '<input type="hidden" name="amount" value="11080000" />' in
             self.browser.contents)
         self.assertTrue(
@@ -139,5 +144,5 @@
             self.browser.contents)
         self.assertTrue(
-            'item_id="12" item_name="parentsconsult" item_amt="1000000" bank_id="117" acct_num="1228747029"' in
+            'item_id="12" item_name="parentsconsult" item_amt="1000000" bank_id="117" acct_num="1012355544"' in
             self.browser.contents)
 
@@ -160,7 +165,7 @@
         # 250 gateway charge have been added
         self.assertTrue(
-            '<input type="hidden" name="amount" value="125000" />' in
-            self.browser.contents)
-        self.assertEqual(acc_payment.amount_auth, 1250)
+            '<input type="hidden" name="amount" value="180000" />' in
+            self.browser.contents)
+        self.assertEqual(acc_payment.amount_auth, 1800)
         self.assertEqual(acc_payment.net_amt, 1000)
         delta = timedelta(days=8)
Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/utils.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/utils.py	(revision 18130)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/utils.py	(revision 18131)
@@ -200,4 +200,5 @@
         rp = self._collect_required_payment_items(student)
         cats_missing = deepcopy(rp)
+        combi_cats = getUtility(IKofaUtils).COMBI_PAYMENT_CATEGORIES
         if len(student['payments']):
             for category in rp.keys():
@@ -205,4 +206,9 @@
                     if ticket.p_state == 'paid' and \
                         ticket.p_category == category and \
+                        ticket.p_session == session:
+                        del cats_missing[category]
+                    elif ticket.p_state == 'paid' and \
+                        ticket.p_category == 'combi' and \
+                        combi_cats[category] in ticket.p_item and \
                         ticket.p_session == session:
                         del cats_missing[category]
Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 18130)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 18131)
@@ -286,21 +286,23 @@
     _COMBI_PAYMENT_CATEGORIES = {
         #'registration': 'Registration Fee',
-        'registration_fresh': 'Registration Fee (Fresh)',
-        'registration_return': 'Registration Fee (Returning)',
-        'grad_clearance': 'Clearance Fee',
+        ## sundry: 'registration_fresh': 'Registration Fee (Fresh)',
+        ## sundry: 'registration_return': 'Registration Fee (Returning)',
+        ## sundry: 'grad_clearance': 'Clearance Fee',
+        ## sundry: 'science': 'Science Bench Fee',
+        ## sundry: 'medical_screening':'Medical Screening Fees',
+        ## sundry: 'municipal_fresh': 'Municipal Fee (Fresh Students)',
+        ## sundry: 'municipal_returning': 'Municipal Fee (Returning Students)',
+        ## sundry: 'alumni': 'Alumni Fee',
+        ## sundry: 'conv': 'Convocation Fee',
+        ## sundry: 'matric': 'Matriculation Fee',
+        ## sundry: 'waecneco': 'WAEC/NECO Verification',
+        ## sundry: 'jambver': 'JAMB Verification',
+        ## sundry: 'book': 'Book Deposit',
+        ## sundry: 'parentsconsult': 'Parents Consultative Forum (PCF) Fee',
+        ## sundry: 'id_card': 'Student ID Card',
+        ## sundry: 'develop': 'Development Fee',
+        ## sundry: 'health_insurance': 'Student Health Insurance',
+        'clinical': 'Clinical Fee (Medical Students)',
         'late_registration': 'Late Registration Fee',
-        'science': 'Science Bench Fee',
-        'clinical': 'Clinical Fee (Medical Students)',
-        'medical_screening':'Medical Screening Fees',
-        'develop': 'Development Fee',
-        'municipal_fresh': 'Municipal Fee (Fresh Students)',
-        'municipal_returning': 'Municipal Fee (Returning Students)',
-        'alumni': 'Alumni Fee',
-        'conv': 'Convocation Fee',
-        'matric': 'Matriculation Fee',
-        'waecneco': 'WAEC/NECO Verification',
-        'jambver': 'JAMB Verification',
-        'book': 'Book Deposit',
-        'parentsconsult': 'Parents Consultative Forum (PCF) Fee',
         'pharmlab': 'Pharmacy Lab Support Fee',
         'lo_ident': 'Letter of Identification Fee',
@@ -309,5 +311,4 @@
         'iuits': 'IUITS Fee',
         'fine': 'Fine',
-        'id_card': 'Student ID Card',
         'pg_other': 'PG Other Charges',
         'jupeb_form':'JUPEB Form Fee',
@@ -317,5 +318,4 @@
         'jupeb_arts':'JUPEB Tuition (Arts)',
         'jupeb_hostel':'JUPEB Accommodation (optional)',
-        'health_insurance': 'Student Health Insurance',
         }
 