Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 18131)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 18133)
@@ -77,5 +77,5 @@
         'makeup_admin': 'Make-Up Registration Fee',
         'id_card': 'Student ID Card',
-        'required_combi': 'Required Combi Payment',
+        'required_combi': 'Required Sundry Payment',
         'pg_other': 'PG Other Charges',
         'jupeb_form':'JUPEB Form Fee',
@@ -115,39 +115,24 @@
         'schoolfee40': 'Tuition Plus (40% - 1st instalment)',
         'secondinstal': 'Tuition Plus (60% - 2nd instalment)',
+        'clearance': 'Acceptance Fee',
         #'registration': 'Registration Fee',
-        'registration_fresh': 'Registration Fee (Fresh)',
-        'registration_return': 'Registration Fee (Returning)',
-        'clearance': 'Acceptance Fee',
-        'grad_clearance': 'Clearance Fee',
         #'bed_allocation': 'Bed Allocation Fee',
         #'hostel_maintenance': 'Accommodation',
         #'transfer': 'Transfer Fee',
         #'gown': 'Gown Hire Fee',
+        #'app_balance': 'Application Fee Balance',
+        #'make_up': 'Make-up Fee',
         'application': 'Application Fee',
         'pg_application': 'PG Application Fee',
-        #'app_balance': 'Application Fee Balance',
         'transcript_local': 'Transcript Fee (Local Students)',
         'transcript_overseas': 'Transcript Fee (Oversea Students)',
         'late_registration': 'Late Registration Fee',
-        'science': 'Science Bench Fee',
         'clinical': 'Clinical Fee (Medical Students)',
-        'medical_screening':'Medical Screening Fees',
-        'develop': 'Development Fee',
-        'municipal_fresh': 'Municipal Fee (Fresh Students)',
-        'municipal_returning': 'Municipal Fee (Returning Students)',
-        'alumni': 'Alumni Fee',
-        'conv': 'Convocation Fee',
-        'matric': 'Matriculation Fee',
-        'waecneco': 'WAEC/NECO Verification',
-        'jambver': 'JAMB Verification',
-        'book': 'Book Deposit',
-        'parentsconsult': 'Parents Consultative Forum (PCF) Fee',
         'pharmlab': 'Pharmacy Lab Support Fee',
         'lo_ident': 'Letter of Identification Fee',
         'change_course': 'Change of Course Fee',
-        #'make_up': 'Make-up Fee',
         'iuits': 'IUITS Fee',
         'fine': 'Fine',
-        'combi': 'Combi Payment',
+        #'combi': 'Combi Payment',
         #'resit1': '1 Make-Up Examination Course',
         #'resit2': '2 Make-Up Examination Courses',
@@ -160,6 +145,5 @@
         #'resit9': '9 Make-Up Examination Courses',
         'makeup_admin': 'Make-Up Registration Fee',
-        'id_card': 'Student ID Card',
-        'required_combi': 'Required Combi Payment',
+        'required_combi': 'Required Sundry Payment',
         'pg_other': 'PG Other Charges',
         #'jupeb_form':'JUPEB Form Fee',
@@ -169,5 +153,22 @@
         'jupeb_arts':'JUPEB Tuition (Arts)',
         'jupeb_hostel':'JUPEB Accommodation (optional)',
-        'health_insurance': 'Student Health Insurance',
+
+        ## sundry: 'registration_fresh': 'Registration Fee (Fresh)',
+        ## sundry: 'registration_return': 'Registration Fee (Returning)',
+        ## sundry: 'grad_clearance': 'Clearance Fee',
+        ## sundry: 'science': 'Science Bench Fee',
+        ## sundry: 'medical_screening':'Medical Screening Fees',
+        ## sundry: 'municipal_fresh': 'Municipal Fee (Fresh Students)',
+        ## sundry: 'municipal_returning': 'Municipal Fee (Returning Students)',
+        ## sundry: 'alumni': 'Alumni Fee',
+        ## sundry: 'conv': 'Convocation Fee',
+        ## sundry: 'matric': 'Matriculation Fee',
+        ## sundry: 'waecneco': 'WAEC/NECO Verification',
+        ## sundry: 'jambver': 'JAMB Verification',
+        ## sundry: 'book': 'Book Deposit',
+        ## sundry: 'parentsconsult': 'Parents Consultative Forum (PCF) Fee',
+        ## sundry: 'id_card': 'Student ID Card',
+        ## sundry: 'develop': 'Development Fee',
+        ## sundry: 'health_insurance': 'Student Health Insurance',
         }
 
@@ -240,5 +241,5 @@
         'fine': 'Fine',
         'id_card': 'Student ID Card',
-        #'required_combi': 'Required Combi Payment',
+        #'required_combi': 'Required Sundry Payment',
         'pg_other': 'PG Other Charges',
         #'jupeb_form':'JUPEB Form Fee',