Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 18133)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 18135)
@@ -104,5 +104,5 @@
         self.browser.getControl(name="form.p_option").value = ['first']
         self.browser.getControl("Create payment").click()
-        self.assertTrue('must be paid before Tution Fee' in self.browser.contents)
+        self.assertTrue('Sundry charges must be paid before tuition.' in self.browser.contents)
         self.browser.getControl(name="form.p_category").value = ['required_combi']
         self.browser.getControl("Create payment").click()
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/utils.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/utils.py	(revision 18133)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/utils.py	(revision 18135)
@@ -191,4 +191,5 @@
         if student.state not in (CLEARANCE, REQUESTED, CLEARED, RETURNING):
             return
+            
         # Has the required combi payment been made?
         for ticket in student['payments'].values():
@@ -197,5 +198,6 @@
                 ticket.p_state == 'paid':
                 return
-        # If not, check single payments
+
+        # If not, check single payments (no longer possible)
         rp = self._collect_required_payment_items(student)
         cats_missing = deepcopy(rp)
@@ -215,6 +217,8 @@
                 if not cats_missing:
                     return
-        return "%s must be paid before Tution Fee." % ', '.join(
-            cats_missing.values())
+        #return "%s must be paid before Tution Fee." % ', '.join(
+        #    cats_missing.values())
+
+        return "Sundry charges must be paid before tuition."
 
     @property
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 18133)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 18135)
@@ -77,5 +77,5 @@
         'makeup_admin': 'Make-Up Registration Fee',
         'id_card': 'Student ID Card',
-        'required_combi': 'Required Sundry Payment',
+        'required_combi': 'Required Sundry Charges',
         'pg_other': 'PG Other Charges',
         'jupeb_form':'JUPEB Form Fee',
@@ -129,5 +129,4 @@
         'late_registration': 'Late Registration Fee',
         'clinical': 'Clinical Fee (Medical Students)',
-        'pharmlab': 'Pharmacy Lab Support Fee',
         'lo_ident': 'Letter of Identification Fee',
         'change_course': 'Change of Course Fee',
@@ -145,5 +144,5 @@
         #'resit9': '9 Make-Up Examination Courses',
         'makeup_admin': 'Make-Up Registration Fee',
-        'required_combi': 'Required Sundry Payment',
+        'required_combi': 'Required Sundry Charges',
         'pg_other': 'PG Other Charges',
         #'jupeb_form':'JUPEB Form Fee',
@@ -171,4 +170,5 @@
         ## sundry: 'develop': 'Development Fee',
         ## sundry: 'health_insurance': 'Student Health Insurance',
+        ## sundry: 'pharmlab': 'Pharmacy Lab Support Fee',
         }
 
@@ -241,5 +241,5 @@
         'fine': 'Fine',
         'id_card': 'Student ID Card',
-        #'required_combi': 'Required Sundry Payment',
+        #'required_combi': 'Required Sundry Charges',
         'pg_other': 'PG Other Charges',
         #'jupeb_form':'JUPEB Form Fee',
@@ -304,7 +304,7 @@
         ## sundry: 'develop': 'Development Fee',
         ## sundry: 'health_insurance': 'Student Health Insurance',
+        ## sundry: 'pharmlab': 'Pharmacy Lab Support Fee',
         'clinical': 'Clinical Fee (Medical Students)',
         'late_registration': 'Late Registration Fee',
-        'pharmlab': 'Pharmacy Lab Support Fee',
         'lo_ident': 'Letter of Identification Fee',
         'change_course': 'Change of Course Fee',